Service (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.Service class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class Service

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.appdef.AppdefBean
              org.hyperic.hq.appdef.server.session.AppdefNamedBean
                  org.hyperic.hq.appdef.server.session.AppdefResource
                      org.hyperic.hq.appdef.server.session.Service

All Implemented Interfaces:
  java.io.Serializable, ContainerManagedTimestampTrackable, HasAuthzOperations

    public class Service

extends AppdefResource
implements HasAuthzOperations

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.appdef.server.session.AppdefNamedBean
`description, location, modifiedBy, name, sortName`

Fields inherited from class org.hyperic.hq.appdef.AppdefBean
`cid, creationTime, modifiedTime`

Constructor Summary
`Service()`

Method Summary
`protected java.lang.String` | `_getAuthzOp(java.lang.String op)`
`boolean` | `equals(java.lang.Object obj)`
`AppdefResourceType` | `getAppdefResourceType()`
`AppdefResourceValue` | `getAppdefResourceValue()`
`java.util.Collection` | `getAppServices()`
`java.lang.String` | `getAutoinventoryIdentifier()`
`ConfigResponseDB` | `getConfigResponse()`
`AppdefEntityID` | `getEntityId()` Get the appdefEntityId for this platform legacy code from EJB entity bean
`Service` | `getParentService()`
`ResourceGroup` | `getResourceGroup()`
`Server` | `getServer()`
`ServiceType` | `getServiceType()`
`ServiceValue` | `getServiceValue()` Deprecated. use (this) Service object instead
`int` | `hashCode()`
`boolean` | `isAutodiscoveryZombie()`
`boolean` | `isEndUserRt()`
`boolean` | `isServiceRt()`
`boolean` | `matchesValueObject(ServiceValue obj)` Deprecated. should use (this) Service object and hibernate dirty() check
`void` | `setAutoinventoryIdentifier(java.lang.String aiid)`
`void` | `setEndUserRt(boolean endUserRt)`
`void` | `setServiceRt(boolean serviceRt)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefResource
`getName, getResource, getSortName, setName, setResource, setSortName`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefNamedBean
`getAuthzOp, getDescription, getLocation, getModifiedBy, setDescription, setLocation, setModifiedBy`

Methods inherited from class org.hyperic.hq.appdef.AppdefBean
`allowContainerManagedCreationTime, allowContainerManagedLastModifiedTime, getCid, getCreationTime, getCTime, getModifiedTime, getMTime, matchesValueObject, setCid, setCreationTime, setModifiedTime`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.authz.HasAuthzOperations
`getAuthzOp`

Constructor Detail

### Service

    public Service()

Method Detail

### getEntityId

    public AppdefEntityID getEntityId()

  Description copied from class: `AppdefNamedBean`
  Get the appdefEntityId for this platform legacy code from EJB entity bean

  Specified by:
    `getEntityId` in class `AppdefNamedBean`

### isAutodiscoveryZombie

    public boolean isAutodiscoveryZombie()

### isServiceRt

    public boolean isServiceRt()

### setServiceRt

    public void setServiceRt(boolean serviceRt)

### isEndUserRt

    public boolean isEndUserRt()

### setEndUserRt

    public void setEndUserRt(boolean endUserRt)

### getParentService

    public Service getParentService()

### getServer

    public Server getServer()

### getServiceType

    public ServiceType getServiceType()

### getResourceGroup

    public ResourceGroup getResourceGroup()

### getConfigResponse

    public ConfigResponseDB getConfigResponse()

### getAppServices

    public java.util.Collection getAppServices()

### getServiceValue

    public ServiceValue getServiceValue()

  Deprecated. use (this) Service object instead

  legacy EJB DTO pattern

### matchesValueObject

    public boolean matchesValueObject(ServiceValue obj)

  Deprecated. should use (this) Service object and hibernate dirty() check

  legacy EJB DTO pattern. Compare this entity bean to a value object

  Returns:
    true if the service value matches this entity

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `AppdefBean`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AppdefBean`

### getAppdefResourceType

    public AppdefResourceType getAppdefResourceType()

  Specified by:
    `getAppdefResourceType` in class `AppdefNamedBean`

### getAppdefResourceValue

    public AppdefResourceValue getAppdefResourceValue()

  Specified by:
    `getAppdefResourceValue` in class `AppdefNamedBean`

### _getAuthzOp

    protected java.lang.String _getAuthzOp(java.lang.String op)

  Specified by:
    `_getAuthzOp` in class `AppdefNamedBean`

### getAutoinventoryIdentifier

    public java.lang.String getAutoinventoryIdentifier()

### setAutoinventoryIdentifier

    public void setAutoinventoryIdentifier(java.lang.String aiid)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.